This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 1728289 - Host selection is ignored with bulk actions when applying errata via remote execution
Summary: Host selection is ignored with bulk actions when applying errata via remote e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-09 14:33 UTC by Peter Dragun
Modified: 2019-10-22 14:45 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27258 None None None 2019-07-10 13:19:47 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description Peter Dragun 2019-07-09 14:33:08 UTC
Description of problem:
Host selection is ignored with bulk actions when applying errata via remote execution. Action applies on all hosts.

Version-Release number of selected component (if applicable):


How reproducible:

1) Navigate to Hosts > Content Hosts
2) Select a host for errata operations
3) Select Action > Manage Errata
4) In the modal window select an errata
5) Open install dropdown and select 'via remote execution'


Actual results:
Selection of host is ignored. Action is applied on all hosts.

Expected results:
Apply action only for selected host(s).

Additional info:

Comment 4 Jonathon Turel 2019-07-10 13:19:47 UTC
Connecting redmine issue https://projects.theforeman.org/issues/27258 from this bug

Comment 6 Bryan Kearney 2019-08-06 22:01:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27258 has been resolved.

Comment 13 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.